body {
  background-color: #f9f9f9;
}
.block {
  max-width: 500px;
  margin: auto;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding: 15px;
  transition: all .2s;
}
.block:hover {
  box-shadow: 0 0 10px 2px #e1e1e1;
}
.flex-cell {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.flex-string {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}
.flex-string label {
  width: 40px;
}
.flex-string span {
  max-width: 200px;
  color: darkgrey;
}
.flex-string span:nth-of-type(2) {
  width: 50px;
  color: black;
}
.container {
  width: 90vw;
  margin: auto;
  max-width: 900px;
}
input[type="submit"] {
  margin: 10px auto 10px auto;
  width: 100px;
  display: block;
  background-color: #ee53ff;
  color: white;
  border: 0;
  border-radius: 1px;
  padding: 5px;
  box-shadow: #7b00a4 1px 1px 1px 1px;
  transition: all 0.2s;
}
input[type="submit"]:hover {
  box-shadow: none;
  margin: 11px auto 10px auto;
}
input[type="range"] {
  -webkit-appearance: none;
  -moz-appearance: none;
  width: 100%;
  height: 5px;
  border-radius: 5px;
  background: #e2e2e2;
  outline: none;
  opacity: 0.7;
  -webkit-transition: .2s;
  transition: opacity .2s;
  margin: 10px 0 15px 0;
}

input[type="range"]::-webkit-slider-thumb {
  background: radial-gradient(rgba(195, 0, 255, 1) 0%, rgba(227, 0, 252, 1) 30%, rgba(195, 0, 255, .3) 30%, rgba(227, 0, 252, .3) 100%);
  -webkit-appearance: none;
  -moz-appearance: none;
  width: 20px;
  height: 20px;
  border-radius: 50%;
  cursor: pointer;
}

input[type="range"]::-moz-range-thumb {
  -moz-appearance: none;
  outline: none;
  border: none;
  width: 20px;
  height: 20px;
  border-radius: 50%;
  background: none;
  cursor: pointer;
}

input[type="range"]::-webkit-slider-thumb:hover,
input[type="range"]::-webkit-slider-thumb:active {
  outline: none;
  border: none;
}

input[type="range"]:hover::-moz-range-thumb,
input[type="range"]::-moz-range-thumb:hover,
input[type="range"]::-moz-range-thumb:active {
  background: radial-gradient(rgba(195, 0, 255, 1) 0%, rgba(227, 0, 252, 1) 30%, rgba(195, 0, 255, .3) 30%, rgba(227, 0, 252, .3) 100%);
  outline: none;
  border: none;
}

input[type="range"]::-moz-range-progress {
  -moz-appearance: none;
  outline: none;
  border: none;
  height: 5px;
  border-radius: 5px;
  background: linear-gradient(to right, #c300ff 0%, #e38dfc 100%);
}

.flex-cell:nth-of-type(odd) input[type="range"]:hover::-moz-range-thumb,
.flex-cell:nth-of-type(odd) input[type="range"]::-webkit-slider-thumb,
.flex-cell:nth-of-type(odd) input[type="range"]::-moz-range-thumb:hover,
.flex-cell:nth-of-type(odd) input[type="range"]::-moz-range-thumb:active  {
  background: radial-gradient(rgba(0, 101, 255, 1) 0%, rgba(0, 124, 252, 1) 30%, rgba(0, 101, 255, .3) 30%, rgba(0, 124, 252, .3) 100%);
}

.flex-cell:nth-of-type(odd) input[type="range"]::-moz-range-progress {
  background: linear-gradient(to right, #0065ff 0%, #00defc 100%);
}

.flex-cell:nth-of-type(1) input[type="range"]::-webkit-slider-thumb,
.flex-cell:nth-of-type(1) input[type="range"]::-webkit-slider-thumb:hover,
.flex-cell:nth-of-type(1) input[type="range"]::-moz-range-thumb:hover {
  background: radial-gradient(rgba(255, 127, 80, 1) 0%, rgba(240, 128, 128, 1) 30%, rgba(255, 127, 80, .3) 30%, rgba(240, 128, 128, .3) 100%);
  cursor: auto;
}

.flex-cell:nth-of-type(1) input[type="range"]:hover::-moz-range-thumb {
  background: none;
  cursor: auto;
}

.flex-cell:nth-of-type(1) input[type="range"]::-moz-range-progress {
  background: linear-gradient(to right, coral 0%, #ffbf95 100%);
}